// ReceiveMsgDlg.h : header file
//

#if !defined(AFX_RECEIVEMSGDLG_H__52177386_B4B3_432B_BF0C_E4AC97347B8A__INCLUDED_)
#define AFX_RECEIVEMSGDLG_H__52177386_B4B3_432B_BF0C_E4AC97347B8A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CReceiveMsgDlg dialog

class CReceiveMsgDlg : public CDialog
{
// Construction
public:
	CReceiveMsgDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CReceiveMsgDlg)
	enum { IDD = IDD_RECEIVEMSG_DIALOG };
	CListBox	m_msglist;
	CComboBox	m_boardno;
	CComboBox	m_baud;
	CString	m_status;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CReceiveMsgDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CReceiveMsgDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnActiveButton();
	afx_msg void OnReceiveButton();
	afx_msg void OnClearStatusButton();
	virtual void OnCancel();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnClearButton();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_RECEIVEMSGDLG_H__52177386_B4B3_432B_BF0C_E4AC97347B8A__INCLUDED_)
